// creator  : weidu.exe (version 23600)
// argument : FEAR.DLG
// game     : .
// source   : ./DATA/DIALOG.BIF
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~FEAR~

IF ~  NumberOfTimesTalkedTo(0)
~ THEN BEGIN 0 // from: 2.0
  SAY #22365 /* ~I am the warrior's bane
I live in the darkness of his soul
I bring him to his knees,
Trembling and weeping
Unable to lift a hand in his own defense ~ */
  IF ~~ THEN UNSOLVED_JOURNAL #27073 /* ~The Four Warders
A strange apparition appeared to me. This is what it had to say:

I am the warrior's bane
I live in the darkness of his soul
I bring him to his knees,
Trembling and weeping
Unable to lift a hand in his own defense
Yet I sleep... Awaken me.

I must pass these four warders to descend to the lower level. I assume that one of them will have the wardstone required to operate this lift that they are guarding. What will awaken this warder? Perhaps a loud noise like a drum or a gong. Perhaps something else. I must solve this riddle in order to pass.~ */ GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #22366 /* ~Yet I sleep— Awaken me.~ */
  IF ~~ THEN DO ~SetGlobal("Fear","GLOBAL",1)
~ UNSOLVED_JOURNAL #27073 /* ~The Four Warders
A strange apparition appeared to me. This is what it had to say:

I am the warrior's bane
I live in the darkness of his soul
I bring him to his knees,
Trembling and weeping
Unable to lift a hand in his own defense
Yet I sleep... Awaken me.

I must pass these four warders to descend to the lower level. I assume that one of them will have the wardstone required to operate this lift that they are guarding. What will awaken this warder? Perhaps a loud noise like a drum or a gong. Perhaps something else. I must solve this riddle in order to pass.~ */ EXIT
END

IF ~  Global("Fear","GLOBAL",1)
Global("Awake","GLOBAL",0)
~ THEN BEGIN 2 // from:
  SAY #22367 /* ~Still I sleep.~ */
  IF ~~ THEN GOTO 0
END

IF ~  Global("Fear","GLOBAL",1)
Global("Awake","GLOBAL",1)
~ THEN BEGIN 3 // from:
  SAY #22368 /* ~You have completed this riddle. I am FEAR. I will destroy you in this cursed place.~ */
  IF ~~ THEN DO ~SetGlobal("Fear","GLOBAL",2)
AddexperienceParty(2000)
DestroySelf()
~ EXIT
END
